task bcf2vcf {
	
	File ins_bcf
	File ins_bcf_index
	File del_bcf
	File del_bcf_index
	File dup_bcf
	File dup_bcf_index
	File inv_bcf
	File inv_bcf_index
	File bnd_bcf
	File bnd_bcf_index

	String sample_name
	String docker
	String disk_size
	String cluster_config
	

	command <<<

		set -o pipefail
		set -e
		/opt/hall-lab/bcftools-1.9/bin/bcftools view ${ins_bcf} > ${sample_name}.ins.vcf
		/opt/hall-lab/bcftools-1.9/bin/bcftools view ${del_bcf} > ${sample_name}.del.vcf
		/opt/hall-lab/bcftools-1.9/bin/bcftools view ${dup_bcf} > ${sample_name}.dup.vcf
		/opt/hall-lab/bcftools-1.9/bin/bcftools view ${inv_bcf} > ${sample_name}.inv.vcf
		/opt/hall-lab/bcftools-1.9/bin/bcftools view ${bnd_bcf} > ${sample_name}.bnd.vcf	
		>>>

		runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File ins_vcf = "${sample_name}.ins.vcf"
		File del_vcf = "${sample_name}.del.vcf"
		File dup_vcf = "${sample_name}.dup.vcf"
		File inv_vcf = "${sample_name}.inv.vcf"
		File bnd_vcf = "${sample_name}.bnd.vcf"
	}
}




